%define anolis_release 1
Name:		wavpack
Summary:	A completely open audiocodec
Version:	5.6.0
Release:	%{anolis_release}%{?dist}
License:	BSD
Url:		http://www.wavpack.com/
Source:		http://www.wavpack.com/%{name}-%{version}.tar.xz
BuildRequires:  make

%description
WavPack is a completely open audio compression format providing lossless,
high-quality lossy, and a unique hybrid compression mode. Although the
technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled
performance and functionality.

%package devel
Summary:	WavPack - development files
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed for developing apps using wavpack.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --disable-rpath
%make_build

%install
%make_install

rm -fr %{buildroot}%{_datadir}/doc/%{name}

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%{_libdir}/libwavpack.so.*
%{abidir}/*.dump
%{_mandir}/man1/wavpack.1*
%{_mandir}/man1/wvgain.1*
%{_mandir}/man1/wvunpack.1*
%{_mandir}/man1/wvtag.1*

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libwavpack.so

%files doc
%doc AUTHORS ChangeLog doc/*

%changelog
* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 5.6.0-1
- New version 5.6.0

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.4.0-1
- init from upstream
- fix CVE-2021-44269
